# Uses of Class
java.text.Bidi

Packages that use Bidi
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.

## Uses of Bidi in java.text

Methods in java.text that return Bidi
Modifier and Type
Method
Description
`Bidi`
Bidi.`createLineBidi​(int lineStart, int lineLimit)`
Create a Bidi object representing the bidi information on a line of text within the paragraph represented by the current Bidi.